Subject: Re: bug#36496: [PATCH] Describe the rx notation in the lisp manual

From: Richard Stallman <[email-masked]>
Date: Fri, 05 Jul 2019 20:10:26 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

The ideal goal of rx is to make that the way most people write regexps
for Emacs.  That would be an improvement because rx syntax is more
understandable.  If this happens, we will need to have rx syntax in the
Emacs Lisp Manual.

In the past, various practical factors have made rx somewhat inconvenient,
and that prevented rx from competing with the regexp syntax.
Recently we have made some improvements in rx; are they enough to
make rx a real competitor for regexps?

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)